<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<spring:url value="/bui/get-policy-list" var="get_policy_listUrl" htmlEscape="true" />
<tiles:insertDefinition name="defaultTemplate">
    <tiles:putAttribute name="body">
        <ul class="breadcrumb">
            <li><a href="#">หน้าหลัก</a><span class="divider">&raquo;</span></li>
            <li class="active">กรมธรรม์ </li>
        </ul>
        <div class="row-fluid">
            <div class="span12 ">
                <div class=" widget-block">
                    <div class="widget-head">
                        <h5>
                            <i class="black-icons  documents"></i> กรมธรรม์
                        </h5>
                    </div>
                    <div class="widget-content">

                        <div class="widget-searchbox">

                            <ul>
                                <li class="row-counts">

                                    <a class="btn btn-primary" id="viewBtn"> <i class="icon-pencil icon-white"></i>ดูรายละเอียด</a>
                                    <a class="btn btn-primary" id="attBtn"> <i class="icon-upload icon-white"></i> เอกสารแนบ</a>
                                    <a class="btn btn-primary" id="printBtn"> <i class="icon-print icon-white"></i> พิมพ์เอกสาร</a>
                                    <c:if test="${Department}">                                        
                                        <a class="btn btn-primary" id="policyFileBtn"> <i class="icon-print icon-white"></i>เอกสารกรมธรรม์</a>
                                    </c:if>
                                </li>
                                <li class="right">


                                    <fieldset>
                                        <div class="control-group">
                                            <div class="controls">

                                                วันที่คุ้มครอง  <input type="text" name="startDateSearch" id="startDateSearch"  class="input-small form-control clsDatePicker" placeholder="dd/mm/yyyy"  />
                                                <span class="input-group-addon"><i id="calIconTourDateDetails" class="glyphicon glyphicon-th"></i></span> -
                                                <input id="endDateSearch" name="endDateSearch" class="input-small" type="text" placeholder="dd/mm/yyyy" />

                                                &nbsp;วันที่ออกกรมธรรม์  <input type="text" name="issuseDateStartSearch" id="issuseDateStartSearch"  class="input-small form-control clsDatePicker" placeholder="dd/mm/yyyy"  />
                                                <span class="input-group-addon"><i id="calIconTourDateDetails" class="glyphicon glyphicon-th"></i></span> -
                                                <input id="issuseDateEndSearch" name="issuseDateEndSearch" class="input-small" type="text" placeholder="dd/mm/yyyy" />

                                            </div>

                                            <div class="controls">

                                                รหัสตัวแทน &nbsp;<input class="input-small" type="text" id="agentIdStartSearch" name="agentIdStartSearch" placeholder="รหัสตัวแทน"> 
                                                - <input id="agentIdEndSearch" name="agentIdEndSearch" class="input-small" type="text" placeholder="รหัสตัวแทน"> 

                                                &nbsp;หมายเลขกรมธรรม์ <input class="input-small" type="text" id="policyNoStartSearch" name="policyNoStartSearch" placeholder="หมายเลขกรมธรรม์"> 
                                                - <input id="policyNoEndSearch" name="policyNoEndSearch" class="input-small" type="text" placeholder="หมายเลขกรมธรรม์"> 



                                            </div>
                                            <div class="controls">
                                                เลขบัตร &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp; <input class="input-small" type="text" id="idCardSearch" name="idCardSearch" placeholder="เลขบัตร"> 
                                                &nbsp;ทะเบียนรถ &nbsp;<input id="registerSearch" name="registerSearch" class="input-small" type="text" placeholder="ทะเบียนรถ"> 
                                                &nbsp;เลขตัวถัง &nbsp;<input id="chassisSearch" name="chassisSearch" class="input-small" type="text" placeholder="เลขตัวถัง"> 

                                                <a class="btn btn-info" id="btSearch"> <i class="icon-search icon-white"></i> ค้นหา</a>

                                            </div>                                          

                                            <form> สถานะกรมธรรม์  &nbsp; &nbsp;
                                                <input type="radio" name="status"  value="A" onClick="setStaus('A')" checked>ปกติ   &nbsp;&nbsp;                                      
                                                <input type="radio" name="status"  value="C" onClick="setStaus('C')">ยกเลิก  &nbsp;&nbsp;
                                                <input type="radio" name="status"  value=" " onClick="setStaus(' ')"> ทั้งหมด

                                            </form> 

                                        </div>
                                    </fieldset>

                                </li>
                            </ul>
                        </div>
                        <div class="widget-box">
                            <div align="center" id='jqgrid'>
                                <table id='grid'></table>
                                <div id='pager'></div>
                            </div>
                        </div>                        
                    </div>                   
                </div>
                <a class="btn btn-danger" id="btnCanclePolicy"> <i class="icon-minus icon-white"></i> ยกเลิกกรมธรรม์ </a>
            </div>
        </div>
        <br/>
        <br/>
        <br/>
        <div id="tableFrm"></div>
    </tiles:putAttribute>
    <tiles:putAttribute name="customScript">

    </tiles:putAttribute>

    <tiles:putAttribute name="customScript">
        <script type="text/javascript">


            /* 	
             $('#premCalP').on('click', function() {
             
             }); */

            function successFormat(cellvalue, options, rowObject) {
                return '<span class="label label-warning">' + cellvalue + '</span>';

            }
            var status = '';
            function setStaus(setting) {
                status = setting
            }



            $(function () {





                $('#printBtn').click(function () {
                    var selr = $("#grid").jqGrid('getGridParam', 'selrow');
                    if (selr) {

                        $.get("print?policyNo=" + encodeURIComponent(selr), function (data1) {
                            $('#tableFrm').html(data1);


                            $("#tableFrm").dialog({
                                maxWidth: 700,
                                maxHeight: 450,
                                width: 700,
                                height: 450,
                                modal: true,
                                close: function () {
                                    $('#sidebar').removeClass('side-hide');
                                    $('.top-nav').removeClass('full-fluid');
                                    $('#main-content').removeClass('full-fluid');
                                }
                            });

                            $('#sidebar').addClass('side-hide');
                            $('.top-nav').addClass('full-fluid');
                            $('#main-content').addClass('full-fluid');

                        });


                    } else {

                        alert('กรุณเลือก กรมธรรม์');

                    }

                });

                $('#btnCanclePolicy').click(function () {
                    var selr = $("#grid").jqGrid('getGridParam', 'selrow');
                    if (selr) {
                        var celeport = $("#grid").getCell(selr, 11);
                        var celrec = $("#grid").getCell(selr, 10);
                        if (celeport == 'Y') {

                            var mesa = 'ยืนยันการยกเลิก กรรมธรรม์เลขที่ ' + selr;

                            if (celrec == 'Y') { // ถ้ามีการชำระเงินแล้ว
                                mesa = 'กรรมธรรม์เลขที่ ' + selr + '-- มีการรับชำระแล้ว -- ต้องการยกเลิกใช่หรือไม่';
                            }
                            if (confirm(mesa)) { // if yes Confirm

                                $.get("cancle-policy?policyNo=" + selr, function (data, status) {
                                    $('#grid').trigger("reloadGrid", [{page: 1}]);
                                });
                            }
                        } else {
                            alert('ยกเลิกกรมธรรม์ไม่ได้เนื่องจากยังไม่  Export !! ');
                        }
                    } else {
                        alert('กรุณาเลือกกรมธรรม์');
                    }
                });



                $("#grid").jqGrid({
                    url: '${get_policy_listUrl}',
                    datatype: 'json',
                    mtype: 'GET',
                    colNames: ['หมายเลขกรมธรรม์', 'รหัส Package', 'วันเริ่มคุ้มครอง', 'วันสิ้นสุดคุ้มครอง', 'ครบกำหนดชำระ', 'ประเภทกรมธรรม์', 'เบี้ยประกันภัยรวม', 'ผู้เอาประกันภัย', 'พิมพ์กรมธรรม์', 'พิมพ์ใบเสร็จ', 'EXPORT', 'สถานะ'],
                    colModel: [{
                            name: 'policyNo',
                            index: 'policyNo',
                            width: 15,
                            hidden: false
                        }, {
                            name: 'packageCode',
                            index: 'packageCode',
                            width: 10,
                            hidden: false,
                            align: 'left'
                        }, {
                            name: 'beginDate',
                            index: 'beginDate',
                            width: 10,
                            datefmt: "d-M-Y",
                            formatoptions: {newformat: 'd/m/Y'},
                            formatter: function (cellval, opts, rowObject, action) {
                                return $.fn.fmatter.call(
                                        this,
                                        "date",
                                        new Date(cellval),
                                        $.extend({}, $.jgrid.formatter.date, opts),
                                        rowObject,
                                        action);
                            },
                            align: 'center'
                        }, {
                            name: 'endDate',
                            index: 'endDate',
                            width: 10,
                            hidden: false,
                            datefmt: "d-M-Y",
                            formatoptions: {newformat: 'd/m/Y'},
                            formatter: function (cellval, opts, rowObject, action) {
                                return $.fn.fmatter.call(
                                        this,
                                        "date",
                                        new Date(cellval),
                                        $.extend({}, $.jgrid.formatter.date, opts),
                                        rowObject,
                                        action);
                            },
                            align: 'center'
                        }, {
                            name: 'payDueDate',
                            index: 'payDueDate',
                            width: 10,
                            hidden: false,
                            datefmt: "d-M-Y",
                            formatoptions: {newformat: 'd/m/Y'},
                            formatter: function (cellval, opts, rowObject, action) {
                                return $.fn.fmatter.call(
                                        this,
                                        "date",
                                        new Date(cellval),
                                        $.extend({}, $.jgrid.formatter.date, opts),
                                        rowObject,
                                        action);
                            },
                            align: 'center'
                        }, {
                            name: 'polType',
                            index: 'polType',
                            width: 10,
                            hidden: false,
                            align: 'left'
                        }, {
                            name: 'totalPremium',
                            index: 'totalPremium',
                            width: 10,
                            formatter: "number", sorttype: "number", align: "right"

                        }, {
                            name: 'insureName',
                            index: 'insureName',
                            width: 20,
                            align: 'left'
                        }, {
                            name: 'printStatus',
                            index: 'printStatus',
                            width: 5,
                            formatter: function (cellval, opts, rowObject, action) {
                                return cellval !== "N" ?
                                        "Y" : "N";
                            },
                            align: 'center'
                        }, {
                            name: 'receiptNo',
                            index: 'receiptNo',
                            width: 5,
                            formatter: function (cellval, opts, rowObject, action) {
                                return cellval !== null ?
                                        "Y" : "N";
                            },
                            align: 'center'
                        }, {
                            name: 'exportStatus',
                            index: 'exportStatus',
                            width: 5,
                            formatter: function (cellval, opts, rowObject, action) {
                                return cellval !== null ?
                                        cellval : "N";
                            },
                            align: 'center'
                        }, {
                            name: 'status',
                            index: 'status',
                            width: 5,
                            align: 'center'
                        }


                    ],
                    postData: {},
                    rowNum: 20,
                    rowList: [10, 20, 40, 60],
                    height: 340,
                    autowidth: true,
                    rownumbers: true,
                    pager: '#pager',
                    sortname: 'policyNo',
                    viewrecords: true,
                    sortorder: "asc",
                    emptyrecords: "Empty records",
                    loadonce: false,
                    loadComplete: function () {
                        var rowIds = $('#grid').jqGrid('getDataIDs');
                        for (i = 0; i < rowIds.length; i++) {//iterate over each row                             
                            var p = $("#grid").getCell(rowIds[i], 9);
                            var r = $("#grid").getCell(rowIds[i], 10);
                            var s = $("#grid").getCell(rowIds[i], 12);
                            if (p == 'N' || r == 'N') {
                                $("#grid").jqGrid('setRowData', rowIds[i], true, {color: 'red', weightfont: 'bold ', background: 'white !important'});
                            }
                            if  (s == 'C' ){
                                $("#grid").jqGrid('setRowData', rowIds[i], true, {color: 'black', weightfont: 'bold', background: 'gray'});
                            }

                        }
                    },
                    jsonReader: {
                        root: "rows",
                        page: "page",
                        total: "total",
                        records: "records",
                        repeatitems: false,
                        cell: "cell",
                        id: "policyNo"
                    }
                });
            });


            $('#btSearch').click(function () {


                var f = {
                    groupOp: "AND",
                    rules: []
                };
                f.rules.push({
                    field: "policyNoStartSearch",
                    op: "cn",
                    data: $('#policyNoStartSearch').val()
                });
                f.rules.push({
                    field: "policyNoEndSearch",
                    op: "cn",
                    data: $('#policyNoEndSearch').val()
                });

                f.rules.push({
                    field: "startDateSearch",
                    op: "cn",
                    data: $('#startDateSearch').val()
                });

                f.rules.push({
                    field: "endDateSearch",
                    op: "cn",
                    data: $('#endDateSearch').val()
                });

                f.rules.push({
                    field: "issuseDateStartSearch",
                    op: "cn",
                    data: $('#issuseDateStartSearch').val()
                });

                f.rules.push({
                    field: "issuseDateEndSearch",
                    op: "cn",
                    data: $('#issuseDateEndSearch').val()
                });

                f.rules.push({
                    field: "agentIdStartSearch",
                    op: "cn",
                    data: $('#agentIdStartSearch').val()
                });

                f.rules.push({
                    field: "agentIdEndSearch",
                    op: "cn",
                    data: $('#agentIdEndSearch').val()
                });

                f.rules.push({
                    field: "idCardSearch",
                    op: "cn",
                    data: $('#idCardSearch').val()
                });

                f.rules.push({
                    field: "registerSearch",
                    op: "cn",
                    data: $('#registerSearch').val()
                });

                f.rules.push({
                    field: "chassisSearch",
                    op: "cn",
                    data: $('#chassisSearch').val()
                });


                f.rules.push({
                    field: "policyStaus",
                    op: "cn",
                    data: status
                });

                var grid = $('#grid');
                grid[0].p.search = f.rules.length > 0;
                $.extend(grid[0].p.postData, {
                    filters: JSON.stringify(f)
                });
                grid.trigger("reloadGrid", [{
                        page: 1
                    }]);
            });

            //box


            $('#attBtn').click(function () {

                var selr = $("#grid").jqGrid('getGridParam', 'selrow');
                if (selr) {
                    $.get("view-policy-attach?policyNo=" + encodeURIComponent(selr), function (data1) {
                        $('#tableFrm').html(data1);

                    });
                    $("#tableFrm").dialog({
                        maxWidth: 700,
                        maxHeight: 450,
                        width: 700,
                        height: 450,
                        modal: true,
                        close: function () {
                            $('#sidebar').removeClass('side-hide');
                            $('.top-nav').removeClass('full-fluid');
                            $('#main-content').removeClass('full-fluid');

                        }
                    });
                    $('#sidebar').addClass('side-hide');
                    $('.top-nav').addClass('full-fluid');
                    $('#main-content').addClass('full-fluid');

                } else {
                    alert('กรุณาเลือกกรมธรรม์');
                }
                return false;
            });





            $('#policyFileBtn').click(function () {

                var selr = $("#grid").jqGrid('getGridParam', 'selrow');
                if (selr) {
                    $.get("view-policy-file?policyNo=" + encodeURIComponent(selr), function (data1) {
                        $('#tableFrm').html(data1);

                    });
                    $("#tableFrm").dialog({
                        maxWidth: 700,
                        maxHeight: 450,
                        width: 700,
                        height: 450,
                        modal: true,
                        close: function () {
                            $('#sidebar').removeClass('side-hide');
                            $('.top-nav').removeClass('full-fluid');
                            $('#main-content').removeClass('full-fluid');

                        }
                    });
                    $('#sidebar').addClass('side-hide');
                    $('.top-nav').addClass('full-fluid');
                    $('#main-content').addClass('full-fluid');

                } else {
                    alert('กรุณาเลือกกรมธรรม์');
                }
                return false;
            });


            $('#addBtn').click(function () {

                var selr = $("#grid").jqGrid('getGridParam', 'selrow');

                $.get("entry-policy-add", function (data1) {
                    $('#tableFrm').html(data1);
                    $("#tableFrm").dialog({
                        maxWidth: 900,
                        maxHeight: 650,
                        width: 900,
                        height: 650,
                        modal: true,
                        close: function () {

                            $('#sidebar').removeClass('side-hide');
                            $('.top-nav').removeClass('full-fluid');
                            $('#main-content').removeClass('full-fluid');
                            $('#tableFrm').html('');
                        }
                    });

                    $('#sidebar').addClass('side-hide');
                    $('.top-nav').addClass('full-fluid');
                    $('#main-content').addClass('full-fluid');

                });


                return false;

            });


            $('#viewBtn').click(function () {

                var selr = $("#grid").jqGrid('getGridParam', 'selrow');

                $.get("entry-policy-view?policyNo=" + encodeURIComponent(selr), function (data1) {
                    $('#tableFrm').html(data1);
                    $("#tableFrm").dialog({
                        maxWidth: 900,
                        maxHeight: 650,
                        width: 900,
                        height: 650,
                        modal: true,
                        close: function () {

                            $('#sidebar').removeClass('side-hide');
                            $('.top-nav').removeClass('full-fluid');
                            $('#main-content').removeClass('full-fluid');
                            $('#tableFrm').html('');
                        }
                    });

                    $('#sidebar').addClass('side-hide');
                    $('.top-nav').addClass('full-fluid');
                    $('#main-content').addClass('full-fluid');

                });


                return false;

            });

            $('#startDateSearch').datepicker({dateFormat: 'dd/mm/yy', onSelect: function (selectedDate) {
                    $("#endDateSearch").datepicker("option", "minDate", selectedDate);
                }});
            $('#endDateSearch').datepicker({dateFormat: 'dd/mm/yy', onSelect: function (selectedDate) {
                    $("#startDateSearch").datepicker("option", "maxDate", selectedDate);
                }});


            $('#issuseDateStartSearch').datepicker({dateFormat: 'dd/mm/yy', onSelect: function (selectedDate) {
                    $("#issuseDateEndSearch").datepicker("option", "minDate", selectedDate);
                }});
            $('#issuseDateEndSearch').datepicker({dateFormat: 'dd/mm/yy', onSelect: function (selectedDate) {
                    $("#issuseDateStartSearch").datepicker("option", "maxDate", selectedDate);
                }});

            /* 
             $('#delBtn').click(function() {
             var selr = $("#grid").jqGrid('getGridParam', 'selrow');
             if (selr && confirm("ยืนยันการลบข้อมูล ความคุ้มครอง รหัส " + selr))
             alert(selr);
             
             }); */






        </script>


    </tiles:putAttribute>
</tiles:insertDefinition>


<%
    if (request.getParameter("policyNo") != null) {
%>

<script>
    $(function () {


        function getUrlParameter(sParam)
        {
            var sPageURL = window.location.search.substring(1);
            var sURLVariables = sPageURL.split('&');
            for (var i = 0; i < sURLVariables.length; i++)
            {
                var sParameterName = sURLVariables[i].split('=');
                if (sParameterName[0] == sParam)
                {
                    return sParameterName[1];
                }
            }
        }

        $.get("upload-files?policyNo=" + getUrlParameter('policyNo'), function (data1) {
            $('#tableFrm').html(data1);
            $("#tableFrm").dialog({
                maxWidth: 700,
                maxHeight: 450,
                width: 700,
                height: 450,
                modal: true,
                close: function () {
                }
            });
        });

        ;
    });
</script>

<%}%>